Les meilleurs développeurs PHP freelances sont sur Codeur.com

Mise a jour blog wordpress et PHP

 Terminé·Moins de 500 €·25 offres·727 vues·18 interactions


Bonjour, je possède un blog depuis plus de 15 ans il est très fourni en articles et photos.
Il s’agit de WordPress en PHP : [URL visible pour les membres Pro]
Il s’agit de mettre à jour le site avec la dernière version de PHP mais de faire une sauvegarde nécessaire au cas où cela ne se passe pas bien et de mettre à jour WordPress en suivant ou avant ( je ne sais pas dans quel ordre cela doit se passer…)

pour les infos du site lui même voici ce qu'il annonce:
--

Votre site fonctionne sur une version obsolète de PHP (5.6.40), qui ne reçoit pas de mises à jour de sécurité et ne sera bientôt plus prise en charge par WordPress. Assurez-vous que PHP est à jour sur votre serveur dès que possible. Sinon, vous ne pourrez plus mettre à niveau WordPress à l’avenir.

Qu’est-ce que PHP et comment cela affecte t-il mon site ?

PHP est l’un des langages de programmation utilisés pour construire WordPress. Les nouvelles versions de PHP reçoivent des mises à jour de sécurité régulièrement et améliorent les performances de votre site. La version minimale recommandée de PHP est 7.4.

En savoir plus sur la mise à jour de PHP (ouvre un nouvel onglet)
Peut être amélioré

Votre site rencontre des erreurs critiques qui doivent être réglées dès que possible afin d’améliorer ses performances et sa sécurité.

Jetez un œil à 6 éléments sur l’écran de santé du site.

--État de santé du site
La vérification de santé du site affiche des informations critiques à propos de votre configuration WordPress et les éléments qui nécessitent votre attention.
2 problèmes critiques
Les anomalies critiques sont des éléments qui peuvent avoir un impact important sur les performances ou la sécurité de votre site, et la résolution de ces problèmes doit être une priorité.
Votre site fonctionne sur une version obsolète de PHP (5.6.40), qui ne reçoit plus de mises à jour de sécurité et ne sera bientôt plus prise en charge par WordPress. Sécurité
La mise en cache des pages n’est pas détectée et le temps de réponse du serveur est lent Performance
4 améliorations recommandées
Les éléments recommandés sont considérés comme bénéfiques pour votre site. Bien qu’ils ne soient pas aussi prioritaires que les anomalies critiques, ils peuvent inclure des améliorations de performances, d’expérience d’utilisation, et bien plus encore.
Vous devriez retirer les extensions inactives Sécurité
Vous devriez retirer les thèmes inactifs Sécurité
Vous devriez utiliser un cache objet persistant Performance

Et les infos que je reçois de mon hébergeur : « Nous avons récemment effectué une analyse d'intégrité de votre site WordPress hébergé chez LWS, et nous souhaitons vous fournir les résultats de cette analyse. Vous y trouverez par exemple des remontées :

- Checksum : Cela signifie que ces fichiers ont été modifiés depuis leur installation initiale sur votre site.
- Fichiers manquants : Cela indique des fichiers manquants du coeur de WordPress, d'un plugin ou d'un thème
- Fichiers ajoutés : Cela indique des fichiers ajoutés qui ne sont normalement pas dans les fichiers de base du coeur de WordPress, d'un plugin ou d'un thème.

Nous tenons à vous rassurer que nous n'avons pas effectué d'action sur les fichiers détectés lors de l'analyse d'intégrité. Cela remonte simplement des anomalies sur votre WordPress et nous voulions vous informer de cette situation afin que vous puissiez prendre les mesures nécessaires pour protéger votre site.

Voici les fichiers qui ont été modifiés :

/wp-content/plugins/twitter-facebook-google-plusone-share/tfg_style.css : Checksum does not match
/wp-content/plugins/twitter-facebook-google-plusone-share/tf_display.php : Checksum does not match
/wp-content/plugins/twitter-facebook-google-plusone-share/twitter-facebook-share.php : Checksum does not match
/wp-content/plugins/twitter-facebook-google-plusone-share/tf_admin_page.php : Checksum does not match

Les remontées ci dessus peuvent causer des problèmes de sécurité et de performance. Nous vous recommandons fortement de prendre les mesures suivantes :
- Mettez à jour tous les plugins et thèmes WordPress à la dernière version disponible.
- Scanner votre site WordPress à l'aide d'un logiciel antivirus pour détecter toute activité malveillante.
Si vous avez besoin d'aide pour effectuer ces étapes, notre équipe d'experts en sécurité peut vous fournir une assistance immédiate pour garantir la sécurité de votre site WordPress. Il vous est possible de passer par une infogérance depuis votre panel client si vous souhaitez que nous intervenions pour vous sur votre site.

Je vais donc sous-traiter tout cela et j’aimerai avoir un devis pour un résultat tangible : nouvelle version PHP et WordPress, avec un site fonctionnant parfaitement que je pourrais continuer à alimenter et une sauvegarde du site.

Budget indicatif : Moins de 500 €

Publication : 02 mai 2023 à 09h24

Profils recherchés : Développeur PHP freelance

Le profil du client est reservé aux prestataires abonnés

Créer un compte

25 freelances ont répondu à ce projet

22 propositions de devis en moins de 2h

X
+18

Montant moyen des devis proposés : 400 €

Estimation du délai : 2 jours

Publier un projet similaire

Nos ressources utiles

Allez plus loin avec nos ressources liées à ce projet !

Chaque jour, des centaines de clients utilisent Codeur.com pour trouver un prestataire. Créez votre compte dès maintenant, remplissez votre profil et trouvez de nouveaux clients.

Trouver des nouveaux clients

Votre navigateur Web n’est plus à jour. Il ne permet pas d’afficher correctement le site Codeur.com.
Nous vous invitons à mettre à jour votre navigateur ou à utiliser un autre navigateur plus récent.